com.pivotal.gemfirexd.internal.client.am

## Class FailedProperties40

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.FailedProperties40

    public class FailedProperties40
    extends Object

Class `FailedProperties40` is a helper class for `java.sql.SQLClientInfoException`. It provides convenient access to data that is needed when constructing those exceptions. Should be kept in sync with its embedded counter part.

See Also:
  `SQLClientInfoException`, `com.pivotal.gemfirexd.internal.iapi.jdbc.FailedProperties40`

### Constructor Summary

Constructors
Constructor and Description
`FailedProperties40(Properties props)` Creates a new `FailedProperties40` instance.

### Method Summary

Methods
`String` `getFirstKey()` `getFirstKey` returns the first property key.
`String` `getFirstValue()` `getFirstValue` returns the first property value.
`Map<String,ClientInfoStatus>` `getProperties()` `getProperties` provides a `Map<String,ClientInfoStatus>` object describing the failed properties (as specified in the javadoc for java.sql.SQLClientInfoException).
`static Properties` `makeProperties(String name, String value)` Helper method that creates a Propery object with the name-value pair given as arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailedProperties40

    public FailedProperties40(Properties props)

Creates a new `FailedProperties40` instance. Since Derby doesn't support any properties, all the keys from the `props` parameter are added to the `failedProps_` member with value REASON_UNKNOWN_PROPERTY.

Parameters:
  `props` - a `Properties` value. Can be null or empty

### Method Detail

#### makeProperties

    public static Properties makeProperties(String name,
                            String value)

Helper method that creates a Propery object with the name-value pair given as arguments.

Parameters:
  `name` - property key
  `value` - property value
Returns:
  the created `Properties` object

#### getProperties

    public Map<String,ClientInfoStatus> getProperties()

`getProperties` provides a `Map<String,ClientInfoStatus>` object describing the failed properties (as specified in the javadoc for java.sql.SQLClientInfoException).

Returns:
  a `Map<String,ClientInfoStatus>` object with the failed property keys and the reason why each failed

#### getFirstKey

    public String getFirstKey()

`getFirstKey` returns the first property key. Used when SQLClientInfoException is thrown with a parameterized error message.

Returns:
  a `String` value

#### getFirstValue

    public String getFirstValue()

`getFirstValue` returns the first property value. Used when SQLClientInfoException is thrown with a parameterized error message.

Returns:
  a `String` value